FreeTDS API

Loading...
Searching...
No Matches
Public Attributes | List of all members
tds_pool Struct Reference
Collaboration diagram for tds_pool:
[legend]

## Public Attributes
dlist_members | active_members
TDSCONTEXT * | ctx
char * | database
TDS_SYS_SOCKET | event_fd
TDS_POOL_EVENT * | events
tds_mutex | events_mtx
dlist_members | idle_members
TDS_SYS_SOCKET | listen_fd
int | max_member_age
int | max_open_conn
unsigned long | member_logins
int | min_open_conn
char * | name
int | num_active_members
int | num_users
char * | password
int | port
char * | server
char * | server_password
char * | server_user
char * | user
unsigned long | user_logins
dlist_users | users
dlist_users | waiters
| users in wait state
TDS_SYS_SOCKET | wakeup_fd

The documentation for this struct was generated from the following file:

- src/pool/pool.h